import { Context } from 'greybel-transpiler';
import { ASTImportCodeExpression } from 'greyscript-core';
import { ASTBase } from 'miniscript-core';
import { Dependency } from '../dependency';
export type AstRefDependencyMap = Map<ASTBase, {
    main: Dependency;
    imports: Set<Dependency>;
}>;
export type ProcessImportPathCallback = (path: string) => string;
export declare function injectImport(context: Context, item: ASTImportCodeExpression): string[];
