"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAIN_BOILERPLATE = exports.MODULE_BOILERPLATE = exports.HEADER_BOILERPLATE = void 0;
const greyscript_core_1 = require("greyscript-core");
exports.HEADER_BOILERPLATE = new greyscript_core_1.Parser(`MODULES={}
	EXPORTED={}
	__REQUIRE=function(r)
	if (not MODULES.hasIndex(r)) then
	exit("Module "+r+" cannot be found...")
	end if
	module=@MODULES[r]
	return @module(r).exports
	end function`).parseChunk();
exports.MODULE_BOILERPLATE = new greyscript_core_1.Parser(`MODULES["$0"]=function(r)
	module={}
	if (EXPORTED.hasIndex(r)) then
	module=EXPORTED[r]
	end if
	if (not module.hasIndex("exports")) then
	"$1"
	end if
	EXPORTED[r]=module
	return EXPORTED[r]
	end function`).parseChunk();
exports.MAIN_BOILERPLATE = new greyscript_core_1.Parser(`"$0"`).parseChunk();
