import { Context, Transformer } from "greybel-transpiler";
import { TargetParseResult } from "./target";
export interface OutputBuilderOptions {
    transformer: Transformer;
    moduleBoilerplate: string;
    parseResult: TargetParseResult;
    context: Context;
}
export declare class OutputBuilder {
    private transformer;
    private moduleBoilerplate;
    private parseResult;
    private context;
    private modulesCount;
    private modulesRegistry;
    private modulesNamespacesUsed;
    constructor(options: OutputBuilderOptions);
    private aggregateModules;
    private generateOutputCode;
    build(): Record<string, string>;
}
