import { Transpiler as GreybelTranspiler, TranspilerOptions as GreybelTranspilerOptions, TranspilerParseResult } from 'greybel-transpiler';
import { ProcessImportPathCallback } from './utils/inject-imports';
export interface TranspilerOptions extends GreybelTranspilerOptions {
    processImportPathCallback?: ProcessImportPathCallback;
}
export declare class Transpiler extends GreybelTranspiler {
    constructor(options: TranspilerOptions);
    parse(): Promise<TranspilerParseResult>;
}
